Index: trunk/LMDZ.MARS/libf/dyn3d/calfis.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/calfis.F	(revision 1127)
+++ trunk/LMDZ.MARS/libf/dyn3d/calfis.F	(revision 1130)
@@ -71,5 +71,5 @@
 #include "comvert.h"
 #include "comgeom2.h"
-#include "control.h"
+!#include "control.h"
 
 c    Arguments :
@@ -167,25 +167,25 @@
 
 c
-      IF (firstcal) THEN
-         latfi(1)=rlatu(1)
-         lonfi(1)=0.
-         DO j=2,jjm
-            DO i=1,iim
-               latfi((j-2)*iim+1+i)= rlatu(j)
-               lonfi((j-2)*iim+1+i)= rlonv(i)
-            ENDDO
-         ENDDO
-         latfi(ngridmx)= rlatu(jjp1)
-         lonfi(ngridmx)= 0.
-         
-         ! build airefi(), mesh area on physics grid
-         CALL gr_dyn_fi(1,iip1,jjp1,ngridmx,aire,airefi)
-         ! Poles are single points on physics grid
-         airefi(1)=airefi(1)*iim
-         airefi(ngridmx)=airefi(ngridmx)*iim
-
-         CALL inifis(ngridmx,llm,nq,day_ini,daysec,dtphys,
-     .                latfi,lonfi,airefi,rad,g,r,cpp)
-      ENDIF
+!      IF (firstcal) THEN
+!         latfi(1)=rlatu(1)
+!         lonfi(1)=0.
+!         DO j=2,jjm
+!            DO i=1,iim
+!               latfi((j-2)*iim+1+i)= rlatu(j)
+!               lonfi((j-2)*iim+1+i)= rlonv(i)
+!            ENDDO
+!         ENDDO
+!         latfi(ngridmx)= rlatu(jjp1)
+!         lonfi(ngridmx)= 0.
+!         
+!         ! build airefi(), mesh area on physics grid
+!         CALL gr_dyn_fi(1,iip1,jjp1,ngridmx,aire,airefi)
+!         ! Poles are single points on physics grid
+!         airefi(1)=airefi(1)*iim
+!         airefi(ngridmx)=airefi(ngridmx)*iim
+!
+!         CALL inifis(ngridmx,llm,nq,day_ini,daysec,dtphys,
+!     .                latfi,lonfi,airefi,rad,g,r,cpp)
+!      ENDIF
 
 c
Index: trunk/LMDZ.MARS/libf/dyn3d/control_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/control_mod.F90	(revision 1130)
+++ trunk/LMDZ.MARS/libf/dyn3d/control_mod.F90	(revision 1130)
@@ -0,0 +1,19 @@
+
+module control_mod
+
+  implicit none
+
+  integer,save :: ndynstep ! # of dynamical time steps to run (if negative or not specified in run.def, nday_r is used instead)
+  integer,save :: day_step ! # of dynamical time steps per day
+  integer,save :: iperiod  ! make a Matsuno step before avery iperiod-1 LF steps
+  integer,save :: iconser !
+  integer,save :: idissip ! apply dissipation every idissip dynamical step
+  integer,save :: iphysiq ! call physics every iphysiq dynamical steps
+  integer,save :: anneeref ! reference year # ! not used
+  real,save :: periodav
+  real,save :: ecritphy ! output data in "diagfi.nc" every ecritphy dynamical steps 
+  integer,save :: ecritstart ! output data in "start.nc" every ecritstart dynamical steps 
+  real,save :: timestart ! time start for run in "start.nc"
+  real,save :: nday_r ! number of days to run (possibly including a fraction of day)
+
+end module control_mod
Index: trunk/LMDZ.MARS/libf/dyn3d/defrun_new.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/defrun_new.F	(revision 1127)
+++ trunk/LMDZ.MARS/libf/dyn3d/defrun_new.F	(revision 1130)
@@ -36,10 +36,13 @@
 c   --------------
 ! to use  'getin'
-      USE ioipsl_getincom
+      use ioipsl_getincom, only: getin
+      use control_mod, only: ndynstep, day_step, iperiod, iconser,
+     &                       idissip, iphysiq, anneeref, ecritphy,
+     &                       ecritstart, timestart, nday_r
       IMPLICIT NONE
 
 #include "dimensions.h"
 #include "paramet.h"
-#include "control.h"
+!#include "control.h"
 #include "logic.h"
 #include "serre.h"
@@ -83,6 +86,5 @@
 !le modele martien et ne sont donc plus lues dans "run.def"
 
-        anneeref=0
-        ! Note: anneref is a common in 'control.h'
+      anneeref=0
 
       OPEN(tapedef,file='run.def',status='old',form='formatted'
Index: trunk/LMDZ.MARS/libf/dyn3d/dynetat0.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/dynetat0.F	(revision 1127)
+++ trunk/LMDZ.MARS/libf/dyn3d/dynetat0.F	(revision 1130)
@@ -3,5 +3,6 @@
       
       use netcdf
-      use infotrac, only: tnom
+      use infotrac, only: tname
+      use control_mod, only: timestart
       
       IMPLICIT NONE
@@ -39,5 +40,5 @@
 #include "logic.h"
 !#include "advtrac.h"
-#include "control.h"
+!#include "control.h"
 
 c   Arguments:
@@ -381,10 +382,10 @@
 !           WRITE(str3(2:3),'(i2.2)') iq
 !           ierr =  NF_INQ_VARID (nid, str3, nvarid)
-! NB: tracers are now read in using their name ('tnom' from infotrac)
-!           write(*,*) "  loading tracer:",trim(tnom(iq))
-           ierr=nf90_inq_varid(nid,tnom(iq),nvarid)
+! NB: tracers are now read in using their name ('tname' from infotrac)
+!           write(*,*) "  loading tracer:",trim(tname(iq))
+           ierr=nf90_inq_varid(nid,tname(iq),nvarid)
            IF (ierr .NE. nf90_noerr) THEN
 !              PRINT*, "dynetat0: Le champ <"//str3//"> est absent"
-              PRINT*, "dynetat0: Le champ <"//trim(tnom(iq))//
+              PRINT*, "dynetat0: Le champ <"//trim(tname(iq))//
      &                "> est absent"
               PRINT*, "          Il est donc initialise a zero"
@@ -396,5 +397,5 @@
              IF (ierr .NE. nf90_noerr) THEN
 !                 PRINT*, "dynetat0: Lecture echouee pour "//str3
-               PRINT*, "dynetat0: Lecture echouee pour "//trim(tnom(iq))
+               PRINT*,"dynetat0: Lecture echouee pour "//trim(tname(iq))
                CALL abort
              ENDIF
Index: trunk/LMDZ.MARS/libf/dyn3d/dynredem.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/dynredem.F	(revision 1127)
+++ trunk/LMDZ.MARS/libf/dyn3d/dynredem.F	(revision 1130)
@@ -1,4 +1,4 @@
       SUBROUTINE dynredem0(fichnom,idayref,anneeref,phis,nq)
-      use infotrac, only: tnom
+      use infotrac, only: tname
       IMPLICIT NONE
 c=======================================================================
@@ -912,9 +912,9 @@
 !               ierr = NF_PUT_ATT_TEXT (nid, nvarid, "title", 12,
 !     .                          "Traceurs "//str3)
-             txt="Traceur "//trim(tnom(iq))
-#ifdef NC_DOUBLE
-               ierr=NF_DEF_VAR(nid,tnom(iq),NF_DOUBLE,4,dims4,nvarid)
-#else
-               ierr=NF_DEF_VAR(nid,tnom(iq),NF_FLOAT,4,dims4,nvarid)
+             txt="Traceur "//trim(tname(iq))
+#ifdef NC_DOUBLE
+               ierr=NF_DEF_VAR(nid,tname(iq),NF_DOUBLE,4,dims4,nvarid)
+#else
+               ierr=NF_DEF_VAR(nid,tname(iq),NF_FLOAT,4,dims4,nvarid)
 #endif
                ierr=NF_PUT_ATT_TEXT(nid,nvarid,"title",
@@ -964,5 +964,5 @@
       SUBROUTINE dynredem1(fichnom,time,
      .                     vcov,ucov,teta,q,nq,masse,ps)
-      use infotrac, only: nqtot, tnom
+      use infotrac, only: nqtot, tname
       IMPLICIT NONE
 c=================================================================
@@ -1105,8 +1105,8 @@
 !            WRITE(str3(2:3),'(i2.2)') iq
 !            ierr = NF_INQ_VARID(nid, str3, nvarid)
-            ierr=NF_INQ_VARID(nid,tnom(iq),nvarid)
+            ierr=NF_INQ_VARID(nid,tname(iq),nvarid)
             IF (ierr .NE. NF_NOERR) THEN
 !               PRINT*, "Variable "//str3//" n est pas definie"
-              PRINT*, "Variable "//trim(tnom(iq))//" n est pas definie"
+              PRINT*, "Variable "//trim(tname(iq))//" n est pas definie"
               CALL abort
             ENDIF
Index: trunk/LMDZ.MARS/libf/dyn3d/gcm.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/gcm.F	(revision 1127)
+++ trunk/LMDZ.MARS/libf/dyn3d/gcm.F	(revision 1130)
@@ -2,4 +2,8 @@
 
       use infotrac, only: iniadvtrac, nqtot, iadv
+      use control_mod, only: day_step, iperiod, iphysiq, ndynstep,
+     &                       nday_r, idissip, iconser, ecritstart,
+     &                       ecritphy
+      use comgeomphy, only: initcomgeomphy
       IMPLICIT NONE
 
@@ -42,5 +46,5 @@
 #include "logic.h"
 #include "temps.h"
-#include "control.h"
+!#include "control.h"
 #include "ener.h"
 #include "netcdf.inc"
@@ -135,4 +139,16 @@
       logical callgroupeun
       parameter (callgroupeun = .false.)
+
+c-----------------------------------------------------------------------
+c    variables pour l'initialisation de la physique :
+c    ------------------------------------------------
+      INTEGER ngridmx
+      PARAMETER( ngridmx = 2+(jjm-1)*iim - 1/jjm   )
+      REAL zcufi(ngridmx),zcvfi(ngridmx)
+      REAL latfi(ngridmx),lonfi(ngridmx)
+      REAL airefi(ngridmx)
+      SAVE latfi, lonfi, airefi
+      INTEGER i,j
+
 c-----------------------------------------------------------------------
 c   Initialisations:
@@ -145,4 +161,14 @@
 c-----------------------------------------------------------------------
       CALL defrun_new( 99, .TRUE. )
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+! FH 2008/05/02
+! A nettoyer. On ne veut qu'une ou deux routines d'interface 
+! dynamique -> physique pour l'initialisation
+!#ifdef CPP_PHYS
+      CALL init_phys_lmdz(iim,jjp1,llm,1,(/(jjm-1)*iim+2/))
+      call initcomgeomphy
+!#endif
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
 ! Initialize tracers
@@ -196,4 +222,46 @@
 c
 
+c-----------------------------------------------------------------------
+c   Initialisation de la physique :
+c   -------------------------------
+
+!      IF (call_iniphys.and.(iflag_phys==1.or.iflag_phys>=100)) THEN
+         latfi(1)=rlatu(1)
+         lonfi(1)=0.
+         zcufi(1) = cu(1)
+         zcvfi(1) = cv(1)
+         DO j=2,jjm
+            DO i=1,iim
+               latfi((j-2)*iim+1+i)= rlatu(j)
+               lonfi((j-2)*iim+1+i)= rlonv(i)
+               zcufi((j-2)*iim+1+i) = cu((j-1)*iip1+i)
+               zcvfi((j-2)*iim+1+i) = cv((j-1)*iip1+i)
+            ENDDO
+         ENDDO
+         latfi(ngridmx)= rlatu(jjp1)
+         lonfi(ngridmx)= 0.
+         zcufi(ngridmx) = cu(ip1jm+1)
+         zcvfi(ngridmx) = cv(ip1jm-iim)
+
+         ! build airefi(), mesh area on physics grid
+         CALL gr_dyn_fi(1,iip1,jjp1,ngridmx,aire,airefi)
+         ! Poles are single points on physics grid
+         airefi(1)=airefi(1)*iim
+         airefi(ngridmx)=airefi(ngridmx)*iim
+
+! Initialisation de la physique: pose probleme quand on tourne 
+! SANS physique, car iniphysiq.F est dans le repertoire phy[]... 
+! Il faut une cle CPP_PHYS
+!#ifdef CPP_PHYS
+!         CALL iniphysiq(ngridmx,llm,daysec,day_ini,dtphys/nsplit_phys,
+         CALL iniphysiq(ngridmx,llm,daysec,day_ini,dtphys,
+     &                latfi,lonfi,airefi,zcufi,zcvfi,rad,g,r,cpp,
+     &                1)
+!     &                iflag_phys)
+!#endif
+!         call_iniphys=.false.
+!      ENDIF ! of IF (call_iniphys.and.(iflag_phys.eq.1))
+!        call inifis(ngridmx,llm,nqtot,day_ini,daysec,dtphys,
+!     .                latfi,lonfi,airefi,rad,g,r,cpp)
 
       call dump2d(iip1,jjp1,ps,'PRESSION SURFACE')
Index: trunk/LMDZ.MARS/libf/dyn3d/infotrac.F90
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/infotrac.F90	(revision 1127)
+++ trunk/LMDZ.MARS/libf/dyn3d/infotrac.F90	(revision 1130)
@@ -5,5 +5,5 @@
   INTEGER, SAVE :: nqtot
   INTEGER,allocatable :: iadv(:)   ! tracer advection scheme number
-  CHARACTER(len=20),allocatable ::  tnom(:) ! tracer name
+  CHARACTER(len=20),allocatable ::  tname(:) ! tracer name
 
 CONTAINS
@@ -18,7 +18,7 @@
       IMPLICIT NONE
 
-#include "dimensions.h"
+!#include "dimensions.h"
 !#include "advtrac.h"
-#include "control.h"
+!#include "control.h"
 
 ! routine arguments:
@@ -47,5 +47,5 @@
         ! allocate arrays:
         allocate(iadv(nq))
-        allocate(tnom(nq))
+        allocate(tname(nq))
         
         ! initialize advection schemes to Van-Leer for all tracers
@@ -56,5 +56,5 @@
         do iq=1,nq
         ! minimal version, just read in the tracer names, 1 per line
-          read(90,*,iostat=ierr) tnom(iq)
+          read(90,*,iostat=ierr) tname(iq)
           if (ierr.ne.0) then
             write(*,*) 'iniadvtrac: error reading tracer names...'
Index: trunk/LMDZ.MARS/libf/dyn3d/ini_archive.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/ini_archive.F	(revision 1127)
+++ trunk/LMDZ.MARS/libf/dyn3d/ini_archive.F	(revision 1130)
@@ -48,5 +48,5 @@
 #include "description.h"
 #include "serre.h"
-#include "control.h"
+!#include "control.h"
 !#include"comsoil.h"
 
Index: trunk/LMDZ.MARS/libf/dyn3d/iniconst.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/iniconst.F	(revision 1127)
+++ trunk/LMDZ.MARS/libf/dyn3d/iniconst.F	(revision 1130)
@@ -1,4 +1,5 @@
       SUBROUTINE iniconst
 
+      use control_mod, only: iphysiq, idissip
       IMPLICIT NONE
 c
@@ -13,5 +14,5 @@
 #include "comconst.h"
 #include "temps.h"
-#include "control.h"
+!#include "control.h"
 #include "comvert.h"
 
Index: trunk/LMDZ.MARS/libf/dyn3d/inidissip.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/inidissip.F	(revision 1127)
+++ trunk/LMDZ.MARS/libf/dyn3d/inidissip.F	(revision 1130)
@@ -8,4 +8,5 @@
 c   -------------
 
+      use control_mod, only: idissip, iperiod
       IMPLICIT NONE
 #include "dimensions.h"
@@ -14,5 +15,5 @@
 #include "comconst.h"
 #include "comvert.h"
-#include "control.h"
+!#include "control.h"
 
       LOGICAL lstardis
Index: trunk/LMDZ.MARS/libf/dyn3d/lect_start_archive.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/lect_start_archive.F	(revision 1127)
+++ trunk/LMDZ.MARS/libf/dyn3d/lect_start_archive.F	(revision 1130)
@@ -17,5 +17,5 @@
 c
 c=======================================================================
-      use infotrac, only: tnom
+      use infotrac, only: tname
       use comsoil_h, only: nsoilmx, layer, mlayer, volcapa, inertiedat
       implicit none
@@ -32,10 +32,10 @@
 #include "comvert.h"
 #include "comgeom2.h"
-#include "control.h"
+!#include "control.h"
 #include "logic.h"
 #include "description.h"
 #include "ener.h"
 #include "temps.h"
-#include "lmdstd.h"
+!#include "lmdstd.h"
 #include "netcdf.inc"
 !#include "tracer.h"
@@ -760,5 +760,5 @@
           write(txt,'(a5,i2.2)')'qsurf',iq
         ELSE
-          txt=trim(tnom(iq))//"_surf"
+          txt=trim(tname(iq))//"_surf"
           if (txt.eq."h2o_vap") then
             ! There is no surface tracer for h2o_vap;
@@ -948,5 +948,5 @@
           write(txt,'(a1,i2.2)')'q',iq
         ELSE
-          txt=tnom(iq)
+          txt=tname(iq)
         ENDIF
         write(*,*)"lect_start_archive: loading tracer ",trim(txt)
Index: trunk/LMDZ.MARS/libf/dyn3d/mod_const_mpi.F90
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/mod_const_mpi.F90	(revision 1130)
+++ trunk/LMDZ.MARS/libf/dyn3d/mod_const_mpi.F90	(revision 1130)
@@ -0,0 +1,16 @@
+MODULE mod_const_mpi
+
+  INTEGER :: COMM_LMDZ
+  INTEGER :: MPI_REAL_LMDZ
+ 
+
+CONTAINS 
+
+  SUBROUTINE init_const_mpi
+  IMPLICIT NONE
+  
+    COMM_LMDZ=0
+    MPI_REAL_LMDZ=0
+  END SUBROUTINE init_const_mpi
+
+END MODULE mod_const_mpi
Index: trunk/LMDZ.MARS/libf/dyn3d/write_archive.F
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/write_archive.F	(revision 1127)
+++ trunk/LMDZ.MARS/libf/dyn3d/write_archive.F	(revision 1130)
@@ -38,5 +38,5 @@
 #include "dimphys.h"
 #include "paramet.h"
-#include "control.h"
+!#include "control.h"
 #include "comvert.h"
 #include "comgeom.h"
Index: trunk/LMDZ.MARS/libf/dyn3d/writediagdyn.F90
===================================================================
--- trunk/LMDZ.MARS/libf/dyn3d/writediagdyn.F90	(revision 1127)
+++ trunk/LMDZ.MARS/libf/dyn3d/writediagdyn.F90	(revision 1130)
@@ -12,9 +12,10 @@
 ! NB: the rate a which outputs are made can be changed (see parameter isample)
 !
+use control_mod, only: iphysiq, day_step
 implicit none
 
 #include"dimensions.h"
 #include"paramet.h"
-#include"control.h"
+!#include"control.h"
 #include"netcdf.inc"
 
Index: trunk/LMDZ.MARS/libf/phymars/albedocaps.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/albedocaps.F90	(revision 1127)
+++ trunk/LMDZ.MARS/libf/phymars/albedocaps.F90	(revision 1130)
@@ -6,7 +6,5 @@
 ! to use the 'getin' routine 
 use ioipsl_getincom, only: getin
-#ifdef MESOSCALE
-use comgeomfi_h
-#endif
+use comgeomfi_h, only: lati ! grid point latitudes (rad)
 use surfdat_h, only: TESicealbedo, TESice_Ncoef, TESice_Scoef, &
                      emisice, albedice, watercaptag, albedo_h2o_ice, &
@@ -59,9 +57,5 @@
 
 do ig=1,ngrid
-#ifndef MESOSCALE
-  if (ig.gt.ngrid/2+1) then
-#else
-  if (lati(ig)*180./acos(-1.).lt.0.) then
-#endif
+  if (lati(ig).lt.0.) then
     icap=2 ! Southern hemisphere
   else
@@ -74,8 +68,5 @@
     ! set the surface albedo to be the ice albedo
     if (TESicealbedo) then
-!      write(*,*) "albedocaps: call TES_icecap_albedo"
-!      write(*,*) "albedocaps: zls=",zls," ig=",ig
       call TES_icecap_albedo(zls,ig,psolaralb(ig,1),icap)
-!      write(*,*) "albedocaps: psolaralb(ig,1)=",psolaralb(ig,1)
       psolaralb(ig,2)=psolaralb(ig,1)
     else
@@ -86,5 +77,4 @@
     ! there is a water ice cap: set the surface albedo to the water ice one
     ! to do : emissivity
-    !write(*,*) "watercaptag in albedocaps:",ig
     emisref(ig) = 1
     psolaralb(ig,1)=albedo_h2o_ice
@@ -105,4 +95,7 @@
 use comgeomfi_h, only: lati, long
 use surfdat_h, only: albedice, TESice_Ncoef, TESice_Scoef
+use netcdf, only: nf90_open, NF90_NOWRITE, NF90_NOERR, &
+                  nf90_strerror, nf90_inq_varid, nf90_get_var, nf90_close
+                  
 implicit none
 #include"dimensions.h"
@@ -110,5 +103,4 @@
 !#include"surfdat.h"
 !#include"comgeomfi.h"
-#include"netcdf.inc"
 #include"datafile.h"
 
@@ -169,6 +161,6 @@
 ! Load TES albedoes for Northern Hemisphere
   ! Note: datafile() is defined in "datafile.h"
-  ierr=NF_OPEN(trim(datafile)//"/npsc_albedo.nc",NF_NOWRITE,nid)
-  IF (ierr.NE.NF_NOERR) THEN
+  ierr=nf90_open(trim(datafile)//"/npsc_albedo.nc",NF90_NOWRITE,nid)
+  IF (ierr.NE.NF90_NOERR) THEN
     write(*,*)'Problem opening npsc_albedo.nc (phymars/albedocaps.F90)'
     write(*,*)'It should be in :',trim(datafile),'/'
@@ -179,37 +171,69 @@
     write(*,*)'   http://www.lmd.jussieu.fr/~forget/datagcm/datafile'
     CALL ABORT
+  ELSE
+    write(*,*) "albedocaps: using file ",trim(datafile)//"/npsc_albedo.nc"
   ENDIF
   
-  ierr=NF_INQ_VARID(nid,"longitude",nvarid)
-  if (ierr.ne.NF_NOERR) then
+  ierr=nf90_inq_varid(nid,"longitude",nvarid)
+  if (ierr.ne.NF90_NOERR) then
     write(*,*) "Failed to find longitude in file!"
-  else
-    ierr=NF_GET_VAR_REAL(nid,nvarid,TESlon)
-  endif
-  
-  ierr=NF_INQ_VARID(nid,"latitude",nvarid)
-  if (ierr.ne.NF_NOERR) then
+    write(*,*)trim(nf90_strerror(ierr))
+    stop
+  else
+    ierr=nf90_get_var(nid,nvarid,TESlon)
+    if (ierr.ne.NF90_NOERR) then
+      write(*,*) "Failed loading longitude data from file!"
+      write(*,*)trim(nf90_strerror(ierr))
+      stop
+    endif
+  endif
+  
+  ierr=nf90_inq_varid(nid,"latitude",nvarid)
+  if (ierr.ne.NF90_NOERR) then
     write(*,*) "Failed to find latitude in file!"
-  else
-    ierr=NF_GET_VAR_REAL(nid,nvarid,TESlatn)
-  endif
-  
-  ierr=NF_INQ_VARID(nid,"time",nvarid)
-  if (ierr.ne.NF_NOERR) then
+    write(*,*)trim(nf90_strerror(ierr))
+    stop
+  else
+    ierr=nf90_get_var(nid,nvarid,TESlatn)
+    if (ierr.ne.NF90_NOERR) then
+      write(*,*) "Failed loading latitude data from file!"
+      write(*,*)trim(nf90_strerror(ierr))
+      stop
+    endif
+  endif
+  
+  ierr=nf90_inq_varid(nid,"time",nvarid)
+  if (ierr.ne.NF90_NOERR) then
     write(*,*) "Failed to find time in file!"
-  else
-    ierr=NF_GET_VAR_REAL(nid,nvarid,TESls)
-  endif
-  
-  ierr=NF_INQ_VARID(nid,"albedo",nvarid)
-  if (ierr.ne.NF_NOERR) then
+    write(*,*)trim(nf90_strerror(ierr))
+    stop
+  else
+    ierr=nf90_get_var(nid,nvarid,TESls)
+    if (ierr.ne.NF90_NOERR) then
+      write(*,*) "Failed loading time data from file!"
+      write(*,*)trim(nf90_strerror(ierr))
+      stop
+    endif
+  endif
+  
+  ierr=nf90_inq_varid(nid,"albedo",nvarid)
+  if (ierr.ne.NF90_NOERR) then
     write(*,*) "Failed to find albedo in file!"
-  else
-    ierr=NF_GET_VAR_REAL(nid,nvarid,TESalbn)
-  endif
+    write(*,*)trim(nf90_strerror(ierr))
+    stop
+  else
+    ierr=nf90_get_var(nid,nvarid,TESalbn)
+    if (ierr.ne.NF90_NOERR) then
+      write(*,*) "Failed loading albedo data from file!"
+      write(*,*)trim(nf90_strerror(ierr))
+      stop
+    endif
+  endif
+
+  ierr=nf90_close(nid)
 
 ! Load albedoes for Southern Hemisphere
-  ierr=NF_OPEN(trim(datafile)//"/spsc_albedo.nc",NF_NOWRITE,nid)
-  IF (ierr.NE.NF_NOERR) THEN
+  ierr=nf90_open(trim(datafile)//"/spsc_albedo.nc",NF90_NOWRITE,nid)
+  IF (ierr.NE.NF90_NOERR) THEN
     write(*,*)'Problem opening spsc_albedo.nc (phymars/albedocaps.F90)'
     write(*,*)'It should be in :',trim(datafile),'/'
@@ -220,19 +244,37 @@
     write(*,*)'   http://www.lmd.jussieu.fr/~forget/datagcm/datafile'
     CALL ABORT
+  ELSE
+    write(*,*) "albedocaps: using file ",trim(datafile)//"/spsc_albedo.nc"
   ENDIF
 
-  ierr=NF_INQ_VARID(nid,"latitude",nvarid)
-  if (ierr.ne.NF_NOERR) then
+  ierr=nf90_inq_varid(nid,"latitude",nvarid)
+  if (ierr.ne.NF90_NOERR) then
     write(*,*) "Failed to find latitude in file!"
-  else
-    ierr=NF_GET_VAR_REAL(nid,nvarid,TESlats)
-  endif
-
-  ierr=NF_INQ_VARID(nid,"albedo",nvarid)
-  if (ierr.ne.NF_NOERR) then
+    write(*,*)trim(nf90_strerror(ierr))
+    stop
+  else
+    ierr=nf90_get_var(nid,nvarid,TESlats)
+    if (ierr.ne.NF90_NOERR) then
+      write(*,*) "Failed loading latitude data from file!"
+      write(*,*)trim(nf90_strerror(ierr))
+      stop
+    endif
+  endif
+
+  ierr=nf90_inq_varid(nid,"albedo",nvarid)
+  if (ierr.ne.NF90_NOERR) then
     write(*,*) "Failed to find albedo in file!"
-  else
-    ierr=NF_GET_VAR_REAL(nid,nvarid,TESalbs)
-  endif
+    write(*,*)trim(nf90_strerror(ierr))
+    stop
+  else
+    ierr=nf90_get_var(nid,nvarid,TESalbs)
+    if (ierr.ne.NF90_NOERR) then
+      write(*,*) "Failed loading albedo data from file!"
+      write(*,*)trim(nf90_strerror(ierr))
+      stop
+    endif
+  endif
+
+  ierr=nf90_close(nid)
 
 ! constants:
Index: trunk/LMDZ.MARS/libf/phymars/co2snow.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/co2snow.F	(revision 1127)
+++ trunk/LMDZ.MARS/libf/phymars/co2snow.F	(revision 1130)
@@ -3,4 +3,5 @@
 
       use surfdat_h, only: iceradius, dtemisice
+      use comgeomfi_h, only: lati ! grid point latitudes (rad)
       IMPLICIT NONE
 
@@ -107,8 +108,8 @@
 c   dtemis: Time scale for increasing the ice emissivity
 
-           IF(ig.GT.ngrid/2+1) THEN
-              icap=2
+           IF(lati(ig).LT. 0.) THEN
+              icap=2 ! Southern hemisphere
            ELSE
-              icap=1
+              icap=1 ! Northern Hemisphere
            ENDIF
 
Index: trunk/LMDZ.MARS/libf/phymars/comgeomfi_h.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/comgeomfi_h.F90	(revision 1127)
+++ trunk/LMDZ.MARS/libf/phymars/comgeomfi_h.F90	(revision 1130)
@@ -5,5 +5,7 @@
 
        ! These arrays are allocated in inifis
-       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: long,lati,area
+       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: long ! longitudes (rad)
+       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: lati ! latitudes (rad)
+       REAL,ALLOCATABLE,SAVE,DIMENSION(:) :: area ! mesh area (m2)
        REAL,SAVE :: totarea
 
Index: trunk/LMDZ.MARS/libf/phymars/comgeomphy.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/comgeomphy.F90	(revision 1130)
+++ trunk/LMDZ.MARS/libf/phymars/comgeomphy.F90	(revision 1130)
@@ -0,0 +1,23 @@
+module comgeomphy
+   real,save,allocatable :: airephy(:)
+   real,save,allocatable :: cuphy(:)
+   real,save,allocatable :: cvphy(:)
+   real,save,allocatable :: rlatd(:)
+   real,save,allocatable :: rlond(:)
+!$OMP THREADPRIVATE(airephy,cuphy,cvphy,rlatd,rlond)
+contains
+  
+  subroutine initcomgeomphy
+  USE mod_phys_lmdz_para, only: klon_omp
+  implicit none
+    
+ 
+    allocate(airephy(klon_omp))
+    allocate(cuphy(klon_omp))
+    allocate(cvphy(klon_omp))
+    allocate(rlatd(klon_omp))
+    allocate(rlond(klon_omp))
+
+  end subroutine initcomgeomphy
+  
+end module comgeomphy
Index: trunk/LMDZ.MARS/libf/phymars/datareadnc.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/datareadnc.F	(revision 1127)
+++ trunk/LMDZ.MARS/libf/phymars/datareadnc.F	(revision 1130)
@@ -99,5 +99,5 @@
 
 
-#include "lmdstd.h"
+!#include "lmdstd.h"
 #include "fxyprim.h"
 
Index: trunk/LMDZ.MARS/libf/phymars/dimphy.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/dimphy.F90	(revision 1130)
+++ trunk/LMDZ.MARS/libf/phymars/dimphy.F90	(revision 1130)
@@ -0,0 +1,32 @@
+MODULE dimphy
+  
+  INTEGER,SAVE :: klon   ! number of atmospheric columns (for this OpenMP subgrid)
+  INTEGER,SAVE :: klev   ! number of atmospheric layers
+  INTEGER,SAVE :: klevp1 ! number of atmospheric layers+1
+  INTEGER,SAVE :: klevm1 ! number of atmospheric layers-1
+!  INTEGER,SAVE :: kflev
+
+!$OMP THREADPRIVATE(klon)
+
+CONTAINS
+  
+  SUBROUTINE Init_dimphy(klon0,klev0)
+  IMPLICIT NONE
+  
+    INTEGER, INTENT(in) :: klon0
+    INTEGER, INTENT(in) :: klev0
+    
+    klon=klon0
+    
+!$OMP MASTER 
+    klev=klev0
+    klevp1=klev+1
+    klevm1=klev-1
+!    kflev=klev
+!$OMP END MASTER    
+!$OMP BARRIER
+    
+  END SUBROUTINE Init_dimphy
+
+  
+END MODULE dimphy
Index: trunk/LMDZ.MARS/libf/phymars/eofdump_mod.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/eofdump_mod.F90	(revision 1127)
+++ trunk/LMDZ.MARS/libf/phymars/eofdump_mod.F90	(revision 1130)
@@ -27,9 +27,9 @@
       integer,intent(in) :: ngrid ! total number of physics grid points
       integer,intent(in) :: nlayer ! number of atmospheric layers
-      real*4 u(ngrid,nlayer)
-      real*4 v(ngrid,nlayer)
-      real*4 t(ngrid,nlayer)
-      real*4 rho(ngrid,nlayer)
-      real*4 ps(ngrid)
+      real,intent(in) :: u(ngrid,nlayer)
+      real,intent(in) :: v(ngrid,nlayer)
+      real,intent(in) :: t(ngrid,nlayer)
+      real,intent(in) :: rho(ngrid,nlayer)
+      real,intent(in) :: ps(ngrid)
       integer,save :: count=0
       integer i,j,l, ig
@@ -56,4 +56,11 @@
           do j=1+eofskip/2,jjm+1,eofskip
             ig = 1+ (j-2)*iim +i
+#ifdef NC_DOUBLE
+            write(uedata) (real(u(ig,l)),l=1,nlayer)
+            write(uedata) (real(v(ig,l)),l=1,nlayer)
+            write(uedata) (real(t(ig,l)),l=1,nlayer)
+            write(uedata) (real(rho(ig,l)),l=1,nlayer)
+            write(uedata) real(ps(ig))
+#else
             write(uedata) (u(ig,l),l=1,nlayer)
             write(uedata) (v(ig,l),l=1,nlayer)
@@ -61,4 +68,5 @@
             write(uedata) (rho(ig,l),l=1,nlayer)
             write(uedata) ps(ig)
+#endif
           enddo
         enddo
@@ -112,11 +120,20 @@
           if(j.eq.1) stop 'Problem in ineofdump.F'
           if(j.eq.jjm+1) stop 'Problem in ineofdump.F'
+#ifdef NC_DOUBLE
+          write(uehead,*) real(long(ig)*180./pi),real(lati(ig)*180./pi)
+#else
           write(uehead,*) long(ig)*180./pi, lati(ig)*180./pi
+#endif
 !         write(*,*) 'eof grid j=',j,' lat= ', lati(ig)*180./pi
         enddo
       enddo
 
+#ifdef NC_DOUBLE
+      write(uehead,*) real(aps)
+      write(uehead,*) real(bps)
+#else
       write(uehead,*) aps
       write(uehead,*) bps
+#endif
       close(uehead)
 !
Index: trunk/LMDZ.MARS/libf/phymars/inifis.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/inifis.F	(revision 1127)
+++ trunk/LMDZ.MARS/libf/phymars/inifis.F	(revision 1130)
@@ -59,4 +59,5 @@
       use yomlw_h, only: ini_yomlw_h
       use conc_mod, only: ini_conc_mod
+      use control_mod, only: ecritphy
 
 #ifdef MESOSCALE
@@ -136,4 +137,8 @@
 !      ENDIF
 
+      ! read in 'ecritphy' (frequency of calls to physics, in dynamical steps)
+      ! (also done in dyn3d/defrun_new but not in LMDZ.COMMON)
+      call getin("ecritphy",ecritphy)
+      
 ! --------------------------------------------------------------
 !  Reading the "callphys.def" file controlling some key options
